﻿using System;
using System.Collections;
using FCGame;

namespace AOcrayon
{
    public class GameModeCollection : CollectionBase
    {
        public void Add( IGameMode gameMode )
        {
            this.List.Add( gameMode );
        }

        public void Remove( IGameMode gameMode )
        {
            this.List.Remove( gameMode );
        }

        public IGameMode this[int index]
        {
            get { return (IGameMode) this.List[index]; }
        }

        public IGameMode First()
        {
            if( this.List.Count < 1 )
                return null;

            return (IGameMode) this.List[0];
        }

        public IGameMode Find( string gameId )
        {
            if( String.IsNullOrEmpty( gameId ) )
                return null;

            IGameMode gameMode = null;

            foreach( IGameMode gm in this.List )
            {
                if( gm.GameID.Equals( gameId ) )
                {
                    gameMode = gm;
                    break;
                }
            }

            return gameMode;
        }
    }
}
